com.jscape.util.reflection.types

## Class IntegerField

- java.lang.Object
- - com.jscape.util.reflection.FieldType
  - - com.jscape.util.reflection.types.IntegerField

-     public class IntegerField
      extends FieldType

  Integer field spinner component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `defaultValue`
    `int` | `maxValue`
    `int` | `minValue`
    `int` | `stepValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerField()` Creates new instance.
    `IntegerField(int defaultValue)` Creates new instance with default value.
    `IntegerField(int defaultValue, int minValue, int maxValue, int stepValue)` Creates new instance with default, minimum and maximum values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDefaultValue()` Returns field default value.
    `int` | `getMaxValue()` Returns field maximum value.
    `int` | `getMinValue()` Returns field minimum value.
    `int` | `getStepValue()` Returns spinner step up/down value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### defaultValue

          public final int defaultValue

    - #### minValue

          public final int minValue

    - #### maxValue

          public final int maxValue

    - #### stepValue

          public final int stepValue

  - ### Constructor Detail

    - #### IntegerField

          public IntegerField(int defaultValue,
                              int minValue,
                              int maxValue,
                              int stepValue)

      Creates new instance with default, minimum and maximum values.
      Parameters:
        `defaultValue` - the default value
        `minValue` - the minimum value
        `maxValue` - the maximum value
        `stepValue` - the spinner step up/down value

    - #### IntegerField

          public IntegerField(int defaultValue)

      Creates new instance with default value.
      Parameters:
        `defaultValue` - the default value

    - #### IntegerField

          public IntegerField()

      Creates new instance.

  - ### Method Detail

    - #### getDefaultValue

          public int getDefaultValue()

      Returns field default value.
      Returns:
        the default value

    - #### getMinValue

          public int getMinValue()

      Returns field minimum value.
      Returns:
        the minimum value

    - #### getMaxValue

          public int getMaxValue()

      Returns field maximum value.
      Returns:
        the maximum value

    - #### getStepValue

          public int getStepValue()

      Returns spinner step up/down value.
      Returns:
        the spinner step up/down value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved